com.corticon.rulesemf.ast

## Interface FeatureCall

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, IPrimaryExpression, org.eclipse.emf.common.notify.Notifier

      public interface FeatureCall
      extends IPrimaryExpression

  A representation of the model object 'Feature Call'.

  The following features are supported:

  - `Operator`
  - `Time Expr`
  - `Path Name`
  - `Qualifiers`
  - `Feature Call Parameters`
  See Also:
    `AstPackage.getFeatureCall()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FeatureCallParameters` | `getFeatureCallParameters()` Returns the value of the 'Feature Call Parameters' containment reference
    `java.lang.String` | `getOperator()` Returns the value of the 'Operator' attribute
    `PathName` | `getPathName()` Returns the value of the 'Path Name' containment reference
    `Qualifiers` | `getQualifiers()` Returns the value of the 'Qualifiers' containment reference
    `java.lang.String` | `getTimeExpr()` Returns the value of the 'Time Expr' attribute
    `void` | `setFeatureCallParameters(FeatureCallParameters value)` Sets the value of the '`Feature Call Parameters`' containment reference
    `void` | `setOperator(java.lang.String value)` Sets the value of the '`Operator`' attribute
    `void` | `setPathName(PathName value)` Sets the value of the '`Path Name`' containment reference
    `void` | `setQualifiers(Qualifiers value)` Sets the value of the '`Qualifiers`' containment reference
    `void` | `setTimeExpr(java.lang.String value)` Sets the value of the '`Time Expr`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.ast.IPrimaryExpression

      `getType, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOperator

          java.lang.String getOperator()

      Returns the value of the 'Operator' attribute.

      If the meaning of the 'Operator' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operator' attribute.
      See Also:
        `setOperator(String)`, `AstPackage.getFeatureCall_Operator()`

    - #### setOperator

          void setOperator(java.lang.String value)

      Sets the value of the '`Operator`' attribute.
      Parameters:
        `value` - the new value of the 'Operator' attribute.
      See Also:
        `getOperator()`

    - #### getTimeExpr

          java.lang.String getTimeExpr()

      Returns the value of the 'Time Expr' attribute.

      If the meaning of the 'Time Expr' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Time Expr' attribute.
      See Also:
        `setTimeExpr(String)`, `AstPackage.getFeatureCall_TimeExpr()`

    - #### setTimeExpr

          void setTimeExpr(java.lang.String value)

      Sets the value of the '`Time Expr`' attribute.
      Parameters:
        `value` - the new value of the 'Time Expr' attribute.
      See Also:
        `getTimeExpr()`

    - #### getPathName

          PathName getPathName()

      Returns the value of the 'Path Name' containment reference.

      If the meaning of the 'Path Name' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Path Name' containment reference.
      See Also:
        `setPathName(PathName)`, `AstPackage.getFeatureCall_PathName()`

    - #### setPathName

          void setPathName(PathName value)

      Sets the value of the '`Path Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Path Name' containment reference.
      See Also:
        `getPathName()`

    - #### getQualifiers

          Qualifiers getQualifiers()

      Returns the value of the 'Qualifiers' containment reference.

      If the meaning of the 'Qualifiers' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Qualifiers' containment reference.
      See Also:
        `setQualifiers(Qualifiers)`, `AstPackage.getFeatureCall_Qualifiers()`

    - #### setQualifiers

          void setQualifiers(Qualifiers value)

      Sets the value of the '`Qualifiers`' containment reference.
      Parameters:
        `value` - the new value of the 'Qualifiers' containment reference.
      See Also:
        `getQualifiers()`

    - #### getFeatureCallParameters

          FeatureCallParameters getFeatureCallParameters()

      Returns the value of the 'Feature Call Parameters' containment reference.

      If the meaning of the 'Feature Call Parameters' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Feature Call Parameters' containment reference.
      See Also:
        `setFeatureCallParameters(FeatureCallParameters)`, `AstPackage.getFeatureCall_FeatureCallParameters()`

    - #### setFeatureCallParameters

          void setFeatureCallParameters(FeatureCallParameters value)

      Sets the value of the '`Feature Call Parameters`' containment reference.
      Parameters:
        `value` - the new value of the 'Feature Call Parameters' containment reference.
      See Also:
        `getFeatureCallParameters()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.